Bug 13715 - JSON audit logging for authentication required human-readable authentication too
JSON audit logging for authentication required human-readable authentication too
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.9.3
All All
: P5 normal
: ---
Assigned To: Tim Beale
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-14 03:09 UTC by Andrew Bartlett
Modified: 2019-06-11 22:58 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 (1.25 KB, patch)
2018-12-17 04:19 UTC, Andrew Bartlett
gary: review+
Details
Updated patch for 4.9 (1.30 KB, patch)
2019-01-13 20:58 UTC, Gary Lockyer
timbeale: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-12-14 03:09:40 UTC
JSON auditing for authentication should have been configured with (eg)

log level = auth_json_audit:5

but it actually needed

log level = auth_json_audit:5 auth_audit:5

This in turn spat out a lot of logs that then needed to be ignored
Comment 1 Andrew Bartlett 2018-12-17 04:19:12 UTC
Created attachment 14740 [details]
patch for 4.9

Under test at https://gitlab.com/samba-team/samba/merge_requests/168
Comment 2 Karolin Seeger 2019-01-08 12:04:15 UTC
Patch does not apply on current v4-9-test.

error: Anwendung des Patches fehlgeschlagen: auth/auth_log.c:270
error: auth/auth_log.c: Patch konnte nicht angewendet werden

Re-assigning to Andrew.
Comment 3 Gary Lockyer 2019-01-13 20:58:36 UTC
Created attachment 14767 [details]
Updated patch for 4.9
Comment 4 Tim Beale 2019-01-13 22:21:07 UTC
Hi Karolin, Gary's updated the patch to apply to 4.9. Could you please try delivering it again?

Note that this bug modifies very similar code to bug 13714, which was causing the patch to fail to apply. As long as you deliver 13715 first, it should apply fine.
Comment 5 Karolin Seeger 2019-01-14 09:16:47 UTC
(In reply to Tim Beale from comment #4)
Pushed to autobuild-v4-9-test.

Are you aware of the "depends on" field? This would have been helpful in this case.
Comment 6 Tim Beale 2019-01-14 20:20:33 UTC
Thanks, I wasn't aware. Yes, that would've been a much better way to manage it, sorry.
Comment 7 Karolin Seeger 2019-01-15 07:46:10 UTC
(In reply to Tim Beale from comment #6)
Never mind! :-)
Comment 8 Karolin Seeger 2019-01-18 10:34:21 UTC
(In reply to Tim Beale from comment #4)
Re-assigning as this one still does not apply.
Comment 9 Gary Lockyer 2019-01-21 19:59:55 UTC
The patch appears to have already landed, commit f6ff49b3da8432f061b557c7ca3eb04680228f79
Comment 10 Tim Beale 2019-06-11 22:58:21 UTC
Closing this now, as the patch has been delivered to v4.9, there was just some confusion over backporting it.